{% load staticfiles static widget_tweaks %}

<!doctype html>
<html lang="en">

<head>
    <!-- Basic Page Needs =====================================-->
    <meta charset="utf-8">

    <!-- Mobile Specific Metas ================================-->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% include 'src/seo.html' %}

    {% block meta_description %}

    {% endblock %}

    <meta name="robots" content="index,follow">
    <meta name="google-site-verification" content="BjwLzIDF-iCblewAOF93fZhU6FrMztJpQFllN6cJ1nA" />
    <!-- Site Title- -->
    <title>{% block title %}Kathy’s Auto Repair Shop | Expert Mechanical Shop | Long Island City, New
        York {% endblock %}</title>




    <!-- CSS
    ==================================================== -->
    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'images/icons/favicon.png' %}">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="{% static 'css/animate.css' %}">

    <!-- IcoFonts -->
    <link rel="stylesheet" href="{% static 'css/icofonts.css' %}">
    <link rel="stylesheet" href="{% static 'css/mg_icon.css' %}">

    <!-- Bootstrap -->
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">

    <!-- Owl Carousel -->
    <link rel="stylesheet" href="{% static 'css/owlcarousel.min.css' %}">

    <!-- Contactme -->
    <link rel="stylesheet" href="{% static 'css/contact/bootstrap-datepicker.standalone.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/contact/contact-1.0.css' %}">
    <link rel="stylesheet" href="{% static 'css/contact/jquery.timepicker.css' %}">
    <link rel="stylesheet" href="{% static 'css/contact/select2.min.css' %}">

    <!-- Style -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">

    <!-- Responsive -->
    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">


    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->


</head>

<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-PMQBRBD"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->


<div class="mg-top-bar">
    <div class="top-bar-angle">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-3"></div>
                <div class="col-lg-6 col-md-6">
                    <div class="top-bar-event mg-top">
                        <i class="icon icon-clock"></i><span>We are Open: Mon - Fri (8:00am - 6:30pm) & Sat: (8:00am - 4:00pm), Sunday Closed</span>
                    </div> <!-- Top Bar Text End -->
                </div> <!-- Col End -->
                <div class="col-lg-2 col-md-2 text-right">
                    <div class="top-bar-social-icon ml-auto">
                        <ul>
                            <li><a href="https://www.facebook.com/Kathys-Auto-Repair-Shop-2126071284070669/"
                                   target="_blank"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="https://twitter.com/KathysAuto" target="_blank"><i
                                    class="fa fa-twitter"></i></a></li>
                            <li><a href="https://plus.google.com/u/0/116010896641004818638" target="_blank"><i
                                    class="fa fa-google-plus"></i></a></li>
                            <li><a href="https://www.instagram.com/kathysauto/" target="_blank"><i
                                    class="fa fa-instagram"></i></a></li>
                            <li><a href="https://www.pinterest.com/kathysauto/" target="_blank"><i
                                    class="fa fa-pinterest"></i> </a></li>
                        </ul>
                    </div> <!-- Social End -->
                </div><!-- Col End -->
            </div> <!-- Row End -->
        </div> <!-- Container End -->
    </div> <!-- Angle Bar End -->
</div> <!-- Top Bar End -->

<header class="mg-header header-default">

    <div class="mg-logo-area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-4 col-sm-4">
                    <a class="mg-logo" href="{% url 'home' %}">
                        <img src="{% static 'images/logo/logo.svg' %}" class="mg-logo" alt="logo">
                    </a>
                </div> <!-- Col End -->
                <div class="col-md-8 col-sm-8 float-right">
                    <ul class="top-contact-info">
                        <li>
                            <span><i class="icon icon-phone3"></i></span>
                            <div class="info-wrapper">
                                <p class="info-title">Call us</p>
                                <p class="info-subtitle">+718.440.8579</p>
                            </div>
                        </li> <!-- li End -->
                        <li>
                            <span><i class="icon icon-envelope"></i></span>
                            <div class="info-wrapper">
                                <p class="info-title">Send us mail</p>
                                <p class="info-subtitle">support@kathysautorepairshop.com</p>
                            </div>
                        </li> <!-- Li End -->
                        <li>
                            <button class="btn btn-primary text-white get-appointment mt-sm-2" data-toggle="modal"
                                    data-url="{% url 'appointment_create' %}"
                            >Get Appointment
                            </button>
                        </li> <!-- Li End -->
                    </ul> <!-- Contact info End -->
                </div> <!-- Col End -->
            </div> <!-- Row End -->
        </div> <!-- Container End -->
    </div> <!-- Logo End -->

    <div class="header-angle">
        <div class="container">
            <nav class="navbar navbar-expand-lg navbar-light">
                <button class="navbar-toggler" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button><!-- End of Navbar toggler -->
                <div class="collapse navbar-collapse justify-content-end mg-navbar" id="navbarSupportedContent">
                    <ul class="navbar-nav">
                        <li class="nav-item active">
                            <a class="nav-link" href="{% url 'home' %}">
                                Home
                            </a>
                        </li><!-- End Dropdown -->
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'about_us' %}">
                                About
                            </a>
                        </li><!-- End Dropdown -->
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'services' %}">
                                Services
                            </a>
                        </li><!-- End Dropdown -->

                        <li class="nav-item dropdown">
                            <a class="nav-link" id="get-review" href="#" data-toggle="modal" data-url="{% url 'review_create' %}">Review</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'gallery' %}">
                                Gallery
                            </a>
                        </li><!-- End Dropdown -->
                        <li class="nav-item mob-view d-none">
                            <a class="nav-link get-appointment" href="#" data-toggle="modal"
                               data-url="{% url 'appointment_create' %}" data-target="#appointment">Appointment</a>
                        </li> <!-- End Dropdown -->

                        <li class="nav-item dropdown">
                            <a class="nav-link" href="{% url 'contact_us' %}">
                                Contact
                            </a>
                        </li> <!-- End Dropdown -->

                    </ul> <!-- End Navbar Nav -->
                </div> <!-- End of navbar collapse -->


            </nav> <!-- End of Nav -->
        </div> <!-- End of Container -->
    </div> <!-- End of Header Angle-->

</header> <!-- End of Header area-->

{% block content %}

{% endblock %}

<footer class="footer" id="footer">
    <div class="footer-top">
        <div class="container">
            <div class="row">
                <div class="col-md-3 footer-box">
                    <i class="icon icon-map-marker2"></i>
                    <div class="footer-box-content">
                        <h3>1215 31st Ave</h3>
                        <p>Long Island City, NY, 11106</p>
                    </div>
                </div><!-- Box 1 end-->
                <div class="col-md-3 footer-box">
                    <i class="icon icon-phone3"></i>
                    <div class="footer-box-content">
                        <h3>+718.440.8579</h3>
                        <p>Give us a call</p>
                    </div>
                </div><!-- Box 2 end-->
                <div class="col-md-6 footer-box">
                    <i class="icon icon-envelope"></i>
                    <div class="footer-box-content">
                        <h3>support@kathysautorepairshop.com</h3>
                    </div>
                </div><!-- Box 3 end-->
            </div><!-- Content row end-->
        </div><!-- Container end-->
    </div><!-- Footer top end-->
    <div class="footer-main">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-12 footer-widget footer-about">
                    <p>Kathy's Auto Repair Shop was founded in 2002. From that period, this shop has proudly served many
                        New Yorkers.We are your trusted Mechanical & Collision Repair Shop. We repair any mechanical
                        problem or damaged vehicle. We accept insurance for collision damage. </p>
                    <div class="footer-social">
                        <ul class="unstyled">
                            <li><a href="https://www.facebook.com/Kathys-Auto-Repair-Shop-2126071284070669/"
                                   target="_blank"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="https://twitter.com/KathysAuto" target="_blank"><i
                                    class="fa fa-twitter"></i></a></li>
                            <li><a href="https://plus.google.com/u/0/116010896641004818638" target="_blank"><i
                                    class="fa fa-google-plus"></i></a></li>
                            <li><a href="https://www.instagram.com/kathysauto/" target="_blank"><i
                                    class="fa fa-instagram"></i></a></li>
                            <li><a href="https://www.pinterest.com/kathysauto/" target="_blank"><i
                                    class="fa fa-pinterest"></i> </a></li>
                        </ul> <!-- Ul end -->
                    </div><!-- Footer social end-->
                    <img src="{% static 'images/all_payment.svg' %}">
                </div> <!-- Col End -->
                <!-- About us end-->

                <div class="col-lg-2 col-md-4 footer-widget news-widget">
                    <h3 class="widget-title"><span>Pages</span></h3>
                    <ul class="unstyled">
                        <li class="news-text">
                            <a href="{% url 'home' %}"><span>Home</span></a>

                        </li>
                        <li class="news-text">
                            <a href="{% url 'about_us' %}"><span>About Us</span></a>

                        </li>
                        <li class="news-text">
                            <a href="{% url 'services' %}"><span>Services</span></a>

                        </li>
                        <li class="news-text">
                            <a href="{% url 'contact_us' %}"><span>Contact</span></a>

                        </li>
                    </ul> <!-- Ul -->
                </div> <!-- Col End -->
                <div class="col-lg-3 col-md-4 footer-widget widget-service">
                    <h3 class="widget-title"><span>Our</span> Services</h3>
                    <ul class="unstyled">
                        <li><a href="{% url 'services' %}">Engine Diagnostics</a></li>
                        <li><a href="{% url 'services' %}">Lube, Oil & Filters</a></li>
                        <li><a href="{% url 'services' %}">Air Conditioning Evac</a></li>
                        <li><a href="{% url 'services' %}">Anti-Lock Brake Service</a></li>
                        <li><a href="{% url 'services' %}">Computer Diagnostics</a></li>
                        <li><a href="{% url 'services' %}">Performance Upgrades</a></li>

                    </ul> <!-- Ul end -->
                </div> <!-- Col End -->
                <div class="col-lg-3 col-md-4 footer-widget">
                    <h3 class="widget-title"><span>Service</span> Hours</h3>
                    <ul class="unstyled service-time">
                        <li>
                            <span>Monday</span>
                            <span>8.00am - 6.30pm</span>
                        </li>
                        <li>
                            <span>Tuesday</span>
                            <span>8.00am - 6.30pm</span>
                        </li>
                        <li>
                            <span>Wednesday</span>
                            <span>8.00am - 6.30pm</span>
                        </li>
                        <li>
                            <span>Thursday</span>
                            <span>8.00am - 6.30pm</span>
                        </li>
                        <li>
                            <span>Friday</span>
                            <span>8.00am - 6.30pm</span>
                        </li>
                        <li>
                            <span>Saturday</span>
                            <span>8.00am - 4pm</span>
                        </li>
                        <li>
                            <span>Sunday</span>
                            <span>Closed</span>
                        </li>
                    </ul> <!-- Service Time -->
                </div> <!-- Col End -->
            </div><!-- Content row end-->
        </div><!-- Container end-->
    </div><!-- Footer Main-->
    <div class="copyright">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-12">
                    <div class="copyright-info">
                        <span>Copyright © 2018 kathysautorepairshop.com All Rights Reserved.</span>
                    </div>
                </div>
                <div class="col-lg-6 col-md-12">
                    <!--<div class="copyright-info"><span>Powered by:MazeGeek inc.</span></div>-->
                    <div class="footer-menu">
                        <!--<div class="copyright-info float-right"><span>Powered by WebTweaker.</span></div>-->
                        <ul class="nav unstyled">
                            <li><span class="text-white">Powered by</span><a target="_blank"
                                                                             href="https://www.webtweaker.com/">
                                WebTweaker</a></li>

                        </ul> <!-- Nav End -->
                    </div> <!-- Footer menu end -->
                </div> <!-- Col End -->
            </div><!-- Row end-->
        </div><!-- Container end-->
        <div class="back-to-top" id="back-to-top" data-spy="affix" data-offset-top="10" style="display: block;">
            <button class="back-btn" title="Back to Top">
                <i class="fa fa-angle-double-up"></i><!-- icon end-->
            </button><!-- button end-->
        </div><!-- Back to top -->
    </div><!-- Copyright end-->
</footer> <!-- Footer End -->


<!-- Modal -->


<div class="modal fade" id="modal-review" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Submit Review</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <div class="container">
                    <div class="row">

                        <div class="col-lg-12 col-md-12">

                            <div class="row">
                                <div class="form-container col-lg-12">

                                </div><!-- Contact form end -->
                            </div> <!-- Row End -->
                        </div> <!-- Col end -->

                    </div> <!-- Row end -->
                </div> <!-- Container ened -->
                <!-- Appoinment end -->
            </div>
            <!--<div class="modal-footer">-->

            <!--<button type="button" class="btn btn-primary">Submit</button>-->
            <!--</div>-->
        </div>
    </div>
</div>

<!-- Modal -->

<div class="modal fade" id="modal-appointment" tab-index="-1" role="dialog" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Get Appointment</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                <div class="container">
                    <div class="row">

                        <div class="col-lg-12 col-md-12">

                            <div class="row">
                                <div class="form-container col-lg-12">

                                </div><!-- Contact form end -->
                            </div> <!-- Row End -->
                        </div> <!-- Col end -->

                    </div> <!-- Row end -->
                </div> <!-- Container ened -->

            </div>
            <!--<div class="modal-footer">-->

            <!--<button type="button" class="btn btn-primary">Submit</button>-->
            <!--</div>-->
        </div>
    </div>
</div>

<!-- javaScript Files
   =============================================================================-->

<!-- initialize jQuery Library -->
<script src="{% static 'js/jquery.min.js' %}"></script>
<!-- Popper JS -->
<script src="{% static 'js/popper.min.js' %}"></script>
<!-- Bootstrap jQuery -->
<script src="{% static 'js/bootstrap.min.js' %}"></script>
<!-- Owl Carousel -->
<script src="{% static 'js/owl-carousel.2.3.0.min.js' %}"></script>
<!-- START js copy section -->
<script src="{% static 'js/contact/bootstrap-datepicker.min.js' %}"></script>
<script src="{% static 'js/contact/bootstrap-datepicker-lang/en.js' %}"></script>
<script src="{% static 'js/contact/jquery.timepicker.min.js' %}"></script>
<script src="{% static 'js/contact/select2.full.min.js' %}"></script>
<script src="{% static 'js/contact/bootstrap-datepicker-lang/en.js' %}"></script>
<!--[if lt IE 9]>
<!--<script src="{% static 'js/contact/EQCSS-polyfills-1.7.0.min.js' %}"></script> -->
<![endif]-->
<script src="{% static 'js/contact/EQCSS-1.7.0.min.js' %}"></script>
<script src="{% static 'js/contact/contact-config.js' %}"></script>
<script src="{% static 'js/contact/contact-1.0.js' %}"></script>
<!-- To enable Google reCAPTCHA, uncomment the next line: -->
<!-- <script src="https://www.google.com/recaptcha/api.js' %}?onload=initRecaptchas&render=explicit" async defer></script> -->
<!-- END js copy section -->
<!-- Template Custom -->
<script src="{% static 'js/main.js' %}"></script>

<script>
    var saveForm = function () {
        var form = $(this);
        $.ajax({
            url: form.attr("data-url"),
            data: form.serialize(),
            type: 'post',
            dataType: 'json',
            success: function (data) {
                if (data.form_is_valid) {
                    $("#app-submit").addClass("d-none");
                    $("#app-submit").after("<div class=\"alert alert-success\" role=\"alert\">\n" +
                        "Your appointment has been successfully created\n" +
                        "</div>");
                    $('.modal').removeClass('in');
                    $('.modal').attr("aria-hidden", "true");
                    $('.modal').css("display", "none");
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');
                }
                else {
                    $("#modal-appointment .form-container").html(data.html_form);
                }
            }
        });
        return false;
    };

    $('.get-appointment').click(function (e) {
        e.preventDefault();
        var btn = $(this);
        $.ajax({
            url: btn.attr("data-url"),
            type: 'get',
            dataType: 'json',
            beforeSend: function () {
                $("#modal-appointment .form-container").html("");
                $("#modal-appointment").modal("show");
            },
            success: function (data) {
                $("#modal-appointment .form-container").html(data.html_form);
            }
        });
    });
    $('#modal-appointment').on("submit", "#appointment-form", saveForm);

</script>

<script>
    var saveReviewForm = function () {
        var form = $(this);
        $.ajax({
            url: form.attr("data-url"),
            data: form.serialize(),
            type: 'post',
            dataType: 'json',
            success: function (data) {
                if (data.form_is_valid) {
                    $("#rev-submit").addClass("d-none");
                    $("#rev-submit").after("<div class=\"alert alert-success\" role=\"alert\">\n" +
                        "Your review has been successfully submitted\n" +
                        "</div>");
                    $('.modal').removeClass('in');
                    $('.modal').attr("aria-hidden", "true");
                    $('.modal').css("display", "none");
                    $('.modal-backdrop').remove();
                    $('body').removeClass('modal-open');
                }
                else {
                    $("#modal-review .form-container").html(data.html_form);
                }
            }
        });
        return false;
    };  

    $('#get-review').click(function (e) {
        e.preventDefault();
        var btn = $(this);
        $.ajax({
            url: btn.attr("data-url"),
            type: 'get',
            dataType: 'json',
            beforeSend: function () {
                $("#modal-review .form-container").html("");
                $("#modal-review").modal("show");
            },
            success: function (data) {
                $("#modal-review .form-container").html(data.html_form);
            }
        });
    });
    $('#modal-review').on("submit", "#review-form", saveReviewForm);
</script>

</body>


</html>